class LOG_LEVELS:
    DEBUG = -10
    INFO = 0
    ERROR = 10
    FATAL = 20


class _Logger:
    printer = print

    def __init__(self, key="--no-key--", log_level=LOG_LEVELS.INFO):
        self.KEY = key
        self.LOG_LEVEL = log_level

    def debug(self, message):
        if self.LOG_LEVEL <= LOG_LEVELS.DEBUG:
            self.printer("[" + self.KEY + "] " + message)

    def info(self, message):
        if self.LOG_LEVEL <= LOG_LEVELS.INFO:
            self.printer("[" + self.KEY + "] " + message)

    def error(self, message):
        if self.LOG_LEVEL <= LOG_LEVELS.ERROR:
            self.printer("[" + self.KEY + "] " + message)

    def fatal(self, message):
        if self.LOG_LEVEL <= LOG_LEVELS.FATAL:
            self.printer("[" + self.KEY + "] " + message)
